/*
  ST7032 Library - Hello World

 This example code is in the public domain.

 http://www.arduino.cc/en/Tutorial/LiquidCrystal

 http://www.microfan.jp/stack/clcd-stack
*/

// include the library code:
#include <ST7032.h>

#define	JAPANESE

// initialize the library
ST7032 lcd;
// ST7032 lcd(PWR3V3) ;

void setup() {
  // set up the LCD's number of columns and rows:
  lcd.begin(16, 2);
  // Print a message to the LCD.
#ifdef JAPANESE
  lcd.print("\272\335\306\301\312 \320\305\273\335!");
#else
  lcd.print("hello, world!");
#endif
}

int cnt = 0 ;

void loop() {
  // set the cursor to column 0, line 1
  // (note: line 1 is the second row, since counting begins with 0):
  lcd.setCursor(0, 1);
  // print and set new contrast value
  lcd.print(cnt);
  lcd.print(" ");
  lcd.setContrast(cnt) ;

  if (++cnt >= 64)
    cnt = 0 ;
    
  delay(500) ;
}
